# Execute an Assigned Logic Executes a logic that is assigned to the given product (specified by sku or typedId) and calculates the result. The result content is defined partially by the visibility flags that are part of the logic master data. Endpoint: POST /formulamanager.execute/{sku} Security: basic, X-PriceFx-jwt ## Path parameters: - `sku` (string, required) The sku or typedId of the product you want to execute the logic for. ## Request fields (application/json): - `data` (object) Provide inputs for the logic as key-value pairs. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.resultName` (string, required) - `response.data.resultLabel` (string) - `response.data.result` (string) - `response.data.excludeFromExport` (boolean) - `response.data.warnings` (array) - `response.data.alertMessage` (any) - `response.data.alertType` (any) - `response.data.displayOptions` (number) - `response.data.formatType` (string) - `response.data.suffix` (any) - `response.data.resultType` (string) - `response.data.cssProperties` (any) - `response.data.userGroup` (any) - `response.data.resultGroup` (any) - `response.data.overrideValueOptions` (any) - `response.data.overrideAllowEmpty` (boolean) - `response.data.labelTranslations` (any) - `response.data.overridable` (boolean) - `response.data.overridden` (boolean) - `response.data.resultDescription` (any) - `response.status` (number)